{ config, pkgs, lib, ... }: {
  programs.git = {
    enable = true;
    userName = "Giulio De Pasquale";
    userEmail = "depasquale+git@giugl.io";
    extraConfig = {
      filter."lfs" = {
        process = "git-lfs filter-process";
        required = true;
        clean = "git-lfs clean -- %f";
        smudge = "git-lfs smudge -- %f";
      };
    };
    delta.enable = true;
  };
  home.packages = [ pkgs.git-lfs ];
}
